/** @format */

import request from "@/utils/request";

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid,
  };
  return request({
    url: "/loginUser",
    headers: {
      isToken: false,
      repeatSubmit: false,
    },
    method: "post",
    data: data,
  });
}

// 注册方法
export function register(data) {
  return request({
    url: "/apply/user",
    headers: {
      isToken: false,
    },
    method: "post",
    data: data,
  });
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: "/getInfoUser",
    method: "get",
  });
}

// 退出方法
export function logout() {
  return request({
    url: "/logout",
    method: "post",
  });
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: "/captchaImage",
    headers: {
      isToken: false,
    },
    method: "get",
    timeout: 20000,
  });
}
export function sendEmail(params) {
  return request({
    url: "/apply/user/EmailSender",
    method: "get",
    params,
  });
}

//校验链接是否失效
export function isLose(params) {
  return request({
    url: "/apply/user/isLose",
    method: "get",
    params,
  });
}

//密码重置
export function resetPassWord(data) {
  return request({
    url: "/apply/user/resetPasswords",
    method: "post",
    data,
  });
}

//公示公告
export function getNotice() {
  return request({
    url: "/Notice/list",
    method: "get",
  });
}
